---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Inbox Tasks
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10019_N10016_N10001"></a>URI

Single task in <b>My Tasks</b> of the current user:

```
/inboxTasks/{id}
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Reference to the task in <b>My Tasks</b>. Example: task Workday ID.</td></tr></tbody></table><br/>

## <a id="section_N1005E_N10016_N10001"></a>Description

The Inbox Tasks resource represents a task in <b>My Tasks</b> that the specified user can approve or deny. To see all tasks in <b>My Tasks</b> for a specific worker, use the Workers/Inbox Task resource.

The Inbox Tasks resource supports this method:

-   [PUT My Inbox Task](/wcp_docs/dan1370797988967.html#PUT)


To use the Inbox Task REST APIs:

1.  Get the tasks in <b>My Tasks</b> for a specific worker.

    1.  Call the `GET /workers/{id}/inboxTasks` method, where `{id}` is the Workday ID of a worker.
    2.  From the response data, save the Workday ID of the task for approval or denial.

2.  Approve or deny the task in <b>My Tasks</b>.

    1.  Call the `PUT /inboxTasks/{id}?type={type}` method, where:

        -   `{ID}` is the Workday ID of the task that you saved from the `GET /workers/{id}/inboxTasks` method response.
        -   `{type}` is either `approval` or `denial`.

    2.  Specify the request body when you call the `PUT /inboxTasks/{id}` method. Specify either:

        -   An empty request body. Example: `{}`
        -   A comment. Example: `{ "comment": "Requirements are satisfied." }`




## <a id="PUT"></a>PUT My Inbox Task

-   <b>Secured by:</b>

    Core Navigation



The PUT My Inbox Task method approves or denies an approval-type task in <b>My Tasks</b>. An approval-type task has a `stepType` descriptor of `Approval`. Specify the `type` query parameter.

<table><thead><tr><th>Query Parameter</th><th>Value</th><th>Description</th></tr></thead><tbody><tr><td rowspan="2"><code>type</code></td><td><code>approval</code></td><td>Approves the approval task.</td></tr><tr><td><code>denial</code></td><td>Denies the approval task.</td></tr></tbody></table><br/>

The response body is in JSON format.

## <a id="section_N1014C_N10016_N10001"></a>PUT Inbox Task Examples

This `GET /workers/{id}/inboxTasks` example returns the tasks in <b>My Tasks</b> for the manager of Betty Liu:

```
GET /workers/3aa5550b7fe348b98d7b5741afc65534/inboxTasks
```

The `GET /workers/{id}/inboxTasks` method returns this task, which is a time off request from Betty Liu:

```
{
"total": 1,
"data": [   {
   "descriptor": "Approval by Manager",
   "id": "90ef2b58c8e3cf15b879a848aed69219",
   "href": "https://{Workday REST API Endpoint}/inboxTasks/90ef2b58c8e3cf15b879a848aed69219",
   "subject":       {
      "descriptor": "Betty Liu",
      "id": "3bcc416214054db6911612ef25d51e9f",
      "href": "https://{Workday REST API Endpoint}/workers/3bcc416214054db6911612ef25d51e9f"
   },
   "overallProcess":       {
      "descriptor": "Time Off Request: Betty Liu",
      "id": "dc930ab57b114b6694edf9eb92621281",
      "href": "https://{Workday REST API Endpoint}/businessProcesses/dc930ab57b114b6694edf9eb92621281"
   },
   "status":       {
      "descriptor": "Awaiting Action",
      "id": "d9e4108c446c11de98360015c5e6daf6"
   },
   "stepType":       {
      "descriptor": "Approval",
      "id": "d8c8920e446c11de98360015c5e6daf6"
   },
   "assigned": "2013-02-26T19:06:57.493Z",
   "due": "2013-02-28"
}]
}
```

Using the task `id` value from the preceding response, this PUT request approves the time off request:

```
PUT /inboxTasks/90ef2b58c8e3cf15b879a848aed69219?type=approval
```

The sample PUT method submits this empty request body:

```
{}
```

The response body is the task in JSON format. The descriptor indicates that the task you modified is an `Approval by Manager` task:

```
{
"descriptor": "Approval by Manager",
"id": "90ef2b58c8e3cf15b879a848aed69219",
"href": "https://{Workday REST API Endpoint}/inboxTasks/90ef2b58c8e3cf15b879a848aed69219"
}
```

This PUT request approves the time off request with a comment:

```
PUT /inboxTasks/90ef2b58c8e3cf15b879a848aed69219?type=approval
```

The sample PUT method submits the comment in this request body:

```
{
"comment": "Requirements are satisfied."
}
```

### Related Information

[Reference: Workers/Inbox Tasks](/wcp_docs/dan1370797988600.html)

